/* Variables */
:root {
  --primary-color: #122542;
  --primary-color-light: #122542a1;
  --primary-color-dark: #122542d7;
  --secondary-color: #6ce1ee;
  --secondary-color-dark: #02b62f;
  --options-button-color: #174b24;
  --breadcrumb-background: #f7f7f7;
  --footer-background-color: #2c2a2a;
  --sale-color: #d40808;
  --a-tag-color: #046fb1;
  --a-tag-hover: #34a006;
  --a-tag-visited: #017961;
  --content-width: 1200px;
  --moble-width: 825px;
}
/* Reset */
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
/* Body Defaults */
body {
  font-family: Arial, Helvetica, sans-serif;
}
a {
  text-decoration: none;
  color: var(--a-tag-color);
}
a:hover {
  color: var(--a-tag-hover);
}
a:visited {
  color: var(--a-tag-visited);
}
p {
  margin: 10px;
  width: 100%;
}

li {
  margin-left: 30px;
}

#page-container {  
  max-width: var(--content-width);
  margin: auto;
  margin-top: 110px;
}




.sale-text {
  color: var(--sale-color);
  font-weight: 800;
}
.tradeMark {
  font-size: 18px;
}
#tipUL, #tipOL {
  padding-left: 25px;
  width: 95%;
  font-size: 15px;
  font-weight: 600;
}
#tipUL li {
  padding: 5px 0px;
}
#tipOL li {
  padding: 5px 0px;
}

/* main-menu */
/* Navigation Bar */
.menu-bar {
  position: fixed;
  z-index: 7;
  top: 0;
  display: flex;
  justify-content: center;
  background-color: var(--primary-color);
  width: 100%;
  max-width: var(--content-width);
}
.top-nav {
  display: flex;
  align-items: center;
  width: 100%;
  max-width: var(--content-width);  
  justify-content: space-between;
  color: #FFF;
  height: 90px;
  padding: 7px;
}
#small-logo {
  display: none;
}
/* #big-logo {
  display: block;
} */
.menu {
  display: flex;
  list-style-type: none;
  margin: 0;
  padding: 0;
  z-index: 7;
}
.menu > li {
  padding: 2px;
}
.menu > li a{
  font-size: 16px;
  font-weight: 600;
  padding: 5px;
  margin: 2px;
  text-decoration: none;
  color: #fff;
}
.menu > li a:hover{
  cursor: pointer;
  color: var(--secondary-color);
  border-top: 3px var(--secondary-color) solid;
  border-bottom: 3px var(--secondary-color) solid;
}
.menu > li a#current {
  color: var(--secondary-color);
}
/* Responsive Menu */
#menu-toggle {
  display: none;
}
/* Main Checkbox Button */
.menu-button-container {
  display: none;
  height: 100%;
  width: 45px;
  cursor: pointer;
  flex-direction: column;
  justify-content: end;
  align-items: center;
  padding-bottom: 8px;
  padding-right: 8px;
}
.menu-button,
.menu-button::before,
.menu-button::after {
  display: block;
  background-color: #fff;
  position: absolute;
  z-index: 2;
  height: 4px;
  width: 45px;
  transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
  border-radius: 2px;
}
.menu-button::before {
  content: '';
  margin-top: -8px;
}
.menu-button::after {
  content: '';
  margin-top: 8px;
}
#menu-toggle:checked + .menu-button-container .menu-button::before {
  margin-top: 0px;
  transform: rotate(405deg);
}
#menu-toggle:checked + .menu-button-container .menu-button {
  background: rgba(255, 255, 255, 0);
}
#menu-toggle:checked + .menu-button-container .menu-button::after {
  margin-top: 0px;
  transform: rotate(-405deg);
}
/* Sub Menu Checkbox Button */
/* dropdown */
#sub1-toggle,
#sub2-toggle {
  position:relative;
  z-index: 3;
  display:inline-block;
}
#sub1-toggle:hover .sub-items-1 {
  display: block;
}
#sub2-toggle:hover .sub-items-2 {
  display: block;
}
/* dropbtn */
#menu-link-1,
#menu-link-2 {
  cursor: pointer;
}
/* dropdown-content */
.sub-menu {
  position: relative;
  z-index: 4;
}
.sub-items-1,
.sub-items-2 {
  margin-top: 4px;
  display: none;
  list-style-type: none;
  background-color: var(--primary-color-dark);
  position: absolute;
  width: max-content;
  z-index: 5;
}
.sub-items-1 li,
.sub-items-2 li{
  width: 100%;
}
.sub-items-1 a,
.sub-items-2 a{
  display: block;
  width: 100%;
}

/* Breadcrumb */
.breadcrumb-wrapper {
  position: fixed;
  z-index: 3;
  top: 90px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: var(--content-width);
  height: 20px;  
}
.breadcrumb-container {
  width: 100%;  
  color: #000;
  z-index: 0;
  background-color: var(--breadcrumb-background);
  border: 1px #000 solid;
}
.breadcrumb-container .toggler {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  cursor: pointer;
  width: 40px;
  height: 40px;
  opacity: 0;
  visibility: hidden; 
}
.breadcrumb-container .button-symbol {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  width: 39px;
  height: 39px;
  padding: 4px;
  background-color: var(--breadcrumb-background);
  display: flex;
  align-items: center;
  justify-content: center;
  visibility: hidden;
  border: 1px #000 solid;
}
.breadcrumb-container .button-symbol > div {
  position: relative;
  flex: none;
  width: 100%;
  height: 2px;
  background-color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  /* Make Greater Than Symbol */
  top: -7px;
  left: 0;
  transform: rotate(30deg);
}
.breadcrumb-container .button-symbol > div::after {
  content: "";  
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: inherit;  
  /* Make Greater Than Symbol */
  top: 12px;
  left: 6px;
  transform: rotate(120deg);
}
/* Toggler Animation */
.breadcrumb-container .toggler:checked + .button-symbol > div {
  /* Make and X */
  top: 0;
  left: 0;
  transform: rotate(45deg);
}
.breadcrumb-container .toggler:checked + .button-symbol > div::after {
  /* Make an X */
  top: 0;
  left: 0;
  transform: rotate(90deg);
}
.breadcrumbnav {
  display: flex;
  list-style: none;
  color: var(--options-button-color);
  font-size: 18px;
}

.breadcrumbnav li {
  margin-left: 5px;
}

.breadcrumbnav li:last-child {
  display: flex;
  align-items: center;
  justify-content: center;
  /* width: 100vw; */
}

.breadcrumbnav li::after {
  content: " > ";
  white-space: pre;
}
.breadcrumbnav li:last-child::after {
  content: "";
}
.breadcrumbnav a {
  color: #000;
  text-decoration: none;
}
.breadcrumbnav a:hover {
  text-decoration: underline;
}

 /* Cookie Request */
 #cookiePopup {
  z-index: 2;
  background: #fff;  
  width: 750px;
  bottom: 40px;
  position: fixed;
  flex-direction: column;
  left: 0;
  box-shadow: 0px 0px 15px #cccccc;
  padding: 5px 10px;
  display: none;
}
#cookiePopup a:hover {
  color: var(--secondary-color);
}
  #cookiePopup p{
  text-align: left;
  font-size: 15px;
  color: #4e4e4e;
}
#cookiePopup button{
  width: 100%;
  border: navajowhite;
  background: #097fb7;
  padding: 7px;
  margin: 10px 0px;
  border-radius: 10px;
  font-weight: 600;
  color: #000;
}
#cookiePopup button:hover {
  cursor: pointer;
  color: var(--secondary-color);
}

/* Footer */
.footer-container {
  max-width: 1200px;
  margin: auto;
}
.footer-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--footer-background-color);
  color: #fff;
}
#footer-title {
  color: #fff;
  font-size: 25px;
  font-weight: 600;
  margin: 15px;
}
#footer-link-table-container {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

#footer-link-table-container a {
  height: 100%;
  font-weight: 600;
}
.fColumn-title {
  margin-top: 9px;
  margin-bottom: 9px;
}
.footer-column {
  border-left: #fff 2px solid;
}
.footer-wrapper h3{
  margin: 10px 0px;
}
.footer-wrapper a{
  color: #fff;
  padding: 5px;
}
.footer-wrapper a:hover{
  color: var(--secondary-color);
}
.footer-wrapper p{
  padding: 5px;
}
.footer-content{
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: var(--content-width)
}
.column {
  display: flex;
  flex-direction: column;
}
.column-5 h3{
  text-align: center;
}
.follow-icons {
  display: flex;
  justify-content: space-around;
}
#bbb-image-anchor img {
  border-radius: 10px;
}
.copyright {
  text-align: center;
}


@media (max-width: 1120px) {
  #page-container {
    margin-top: 80px;
  }
  /* Menu CSS */
  .top-nav {
    height: 40px;
  }
  #small-logo {
    display: block;
  }
  .logo {
    display: none;
  }
  /* #big-logo {
    display: none;
  } */
  .menu-button-container {
    display: flex;
  }
  .menu {
    position: absolute;
    display: none;
    top: 40px;
    left: 0;
    flex-direction: column;
    width: 100%;
   }
  #menu-toggle ~ .menu li {
    height: 0;
    margin: 0;
    padding: 0;
    border: 0;
    transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
  }
  #menu-toggle:checked ~ .menu {
    display: flex;
  }
  #menu-toggle:checked ~ .menu li {
    border: 1px solid #333;
    height: 100%;
    transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
  }
  .menu > li {
    display: flex;
    margin: 0;
    width: 100%;
    color: white;
    background-color: #222;
  }
  .menu > li:not(:last-child) {
    border-bottom: 1px solid #444;
  }
  .menu > li a{
    width: 100%;
    font-size: 45px;
    text-align: center;
  }
  #menu-link-1,
  #menu-link-2 {
    display:inline-block;
    text-align: center;
    width: 100%;
  }
  .sub-items-1 .menu-link,
  .sub-items-2 .menu-link {
    display: none;
  }

  /* breadcrumb */
  .breadcrumb-wrapper {
    background-color: var(--breadcrumb-background);
    height: 40px;
    top: 40px;
    border-bottom: 1px #000 solid;
  }
  .breadcrumb-container {
    border: none;
  }
  .breadcrumb-container .toggler {
    display: flex;
    visibility: visible;
  }
  .breadcrumb-container .button-symbol {
    display: flex;
    visibility: visible;
  }
  .breadcrumbnav {
    display: block;
    position: absolute;
    top: 38px;
    left: 0;
    background-color: var(--breadcrumb-background);
    visibility: hidden;
    width: 100vw;
  }
  .breadcrumbnav li {
    width: 100vw;
    height: 45px;
    background-color: var(--breadcrumb-background);    
  }
  .breadcrumbnav li::after {
    content: "";
  }
  .breadcrumbnav li a {
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
    border-top: 1px #000 solid;
  }
  .breadcrumbnav li:last-child {
    display: flex;
    align-items: center;
    border-top: 1px #000 solid;
    border-bottom: 1px #000 solid;
  }
  .breadcrumb-container .toggler:checked + div + ol{
     visibility: visible;
  }
  #crumb-itme-1 a::before {
    content: " > ";
    white-space: pre;
  }
  #crumb-itme-2 a::before {
    content: "   > ";
    white-space: pre;
  }
  #crumb-itme-3 a::before {
    content: "     > ";
    white-space: pre;
  }
  #crumb-itme-4 a::before {
    content: "       > ";
    white-space: pre;
  }
  #crumb-itme-5 a::before {
    content: "         > ";
    white-space: pre;
  }
  /* Cookie Request */
  #cookiePopup {
    width: 90%;
  }
  .footer-content {
    flex-direction: column;
    text-align: center;
    font-size: 30px;
  }
  .footer-wrapper h3 {
    font-weight: 800;
  }
}

@media (max-width: 1020px) {
  #footer-link-table-container {
    flex-direction: column;
    width: 320px;
    align-items: start;
  }
}